cURL
curl --request POST \
--url https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groupIds": [
"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"
]
}
'import requests
url = "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects"
payload = {
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"groupIds": ["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
groupIds: ['7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f']
})
};
fetch('https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'groupIds' => [
'7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects"
payload := strings.NewReader("{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects")
.header("Content-Type", "application/json")
.body("{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"delegation": {
"machineIdentity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"scope": "selected",
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Add users and groups
Add users and groups to a machine identity’s delegation, keeping the ones it already names. Creates a delegation to the users and groups named if the machine identity has none.
POST
/
api
/
v1
/
agent-vault
/
delegations
/
{machineIdentityId}
/
subjects
cURL
curl --request POST \
--url https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groupIds": [
"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"
]
}
'import requests
url = "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects"
payload = {
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"groupIds": ["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
groupIds: ['7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f']
})
};
fetch('https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'groupIds' => [
'7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects"
payload := strings.NewReader("{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects")
.header("Content-Type", "application/json")
.body("{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}/subjects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"delegation": {
"machineIdentity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"scope": "selected",
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Path Parameters
The ID of the machine identity the delegation belongs to.
Query Parameters
The ID of the Agent Vault project.
Required string length:
1 - 36Body
application/json
The users to add, up to 100. Each must be a member of the Agent Vault project. Users the delegation already names are skipped.
Maximum array length:
100Example:
["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
The groups to add, up to 100. Each must be a member of the Agent Vault project. Groups the delegation already names are skipped.
Maximum array length:
100Example:
["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?